Skip to main content
PATCH
Use this when the user wants to change ANY field of an existing product.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storefrontId
string
required
productId
string
required

Body

application/json

PATCH body. Omitted fields are untouched. Sending salePrice alone is checked against the stored price.

title
string
Required string length: 1 - 200
description
string | null
price
number
Required range: x >= 0
salePrice
number | null
Required range: x >= 0
category
string | null
subcategory
string | null
imageUrl
string<uri> | null
thumbnailUrl
string<uri> | null
sku
string | null
slug
string | null
position
integer | null
cartProduct
boolean | null
hide
boolean | null
stock
integer | null
Required range: x >= 0
tags
string[] | null
extraProductsCategory
object[] | null

Response

Success

product
object
required